require 'remenv/adapter/redis'

describe Remenv::Adapter::Redis do
  let(:adapter) do
    Remenv::Adapter::Redis.new(url: 'redis://localhost:6379/15')
  end

  after do
    adapter.clear!
  end

  describe '#show' do
    it 'is an empty hash without anything stored' do
      expect(adapter.show).to eq({})
    end
  end

  describe '#set' do
    it 'stores the key and value' do
      adapter.set(PORT: 3000)

      expect(adapter.show).to eq('PORT' => '3000')
    end
  end

  describe '#get' do
    it 'retrieves the value at the provided key' do
      adapter.set(PORT: 3000)

      expect(adapter.get('PORT')).to eq('3000')
    end
  end

  describe '#unset' do
    it 'clears the provided keys' do
      adapter.set(KEY1: 1, KEY2: 2, KEY3: 3)
      adapter.unset(:KEY1, :KEY3)

      expect(adapter.show).to eq('KEY2' => '2')
    end
  end
end
