require 'remenv/formatter'

describe Remenv::Formatter do
  describe '.pretty' do
    it 'prettifies the supplied hash' do
      formatted = Remenv::Formatter.pretty(
        PORT: 3000,
        URL: '/api',
        LOG_LEVEL: 'info'
      )

      expected = <<-EOF.gsub(/^\s+/, '')
        LOG_LEVEL info
        PORT      3000
        URL       /api
      EOF

      expect(formatted).to eq(expected)
    end

    it 'does not format nil input' do
      formatted = Remenv::Formatter.pretty(nil)

      expect(formatted).to eq('')
    end
  end
end
